local _G = getfenv(0);
local LibStub = _G.LibStub;
local MiniMapButton = {};
local MyPocketMMButtonStub = LibStub("LibDBIcon-1.0");
MyPocketMiniMapButton = MiniMapButton;

-- LDB
--if not LibStub:GetLibrary("LibDataBroker-1.1", true) then return end

MyPocketMiniMapSettings = 
{
	minimapPos = 218,
	hide = false,
}

local MiniMapLDB = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("MyPocketMMIconData", {
	type = "launcher",
	text = "MyPocket",
	icon = "Interface/Icons/INV_Misc_Bag_06",
	OnTooltipShow = function(tooltip)
			tooltip:SetText("MyPocket");
			tooltip:AddLine("|cFFFFFFFFLeft-Click|cFFFFD300 to open/close", 1, 1, 1); --"|cFFFFD300Left-Click|cFFFFFFFF to open/close"
			tooltip:AddLine("|cFFFFFFFFRight-Click|cFFFFD300 to open the settings", 1, 1, 1); --"|cFFFFD300Right-Click|cFFFFFFFF to open the settings"
			tooltip:Show();
		end,
	OnClick = function(self, button)
		if button == "RightButton" then
			InterfaceOptionsFrame_OpenToCategory("MyPocket");
			InterfaceOptionsFrame_OpenToCategory("MyPocket");
		else
			if MyPocket:IsVisible() then
				MyPocket:Hide();
			else
				MyPocket:Show();
			end
		end
	end,
})

function MiniMapButton.Init()
	MyPocketMMButtonStub:Register("MyPocket", MiniMapLDB, MyPocketMiniMapSettings);
end

function MiniMapButton.UpdateVisibility()

	if MyPocketSettings["EnableMinimap"] == "ON" then
		MyPocketMiniMapSettings.hide = false;
		MyPocketMMButtonStub:Show("MyPocket");
	else
		MyPocketMiniMapSettings.hide = true;
		MyPocketMMButtonStub:Hide("MyPocket");
	end
end